export const ACTION_CHANGE_CONNECTION_STATE = 'ACTION_CHANGE_CONNECTION_STATE';
export const ACTION_SUBSCRIBE = 'ACTION_SUBSCRIBE';

export const CONNECTION_STATE_NOT_CONNECTED = "not connected";
export const CONNECTION_STATE_CONNECTED = "connected";
export const CONNECTION_STATE_ON_LOGIN = "on login";
export const CONNECTION_STATE_ON_SUBSCRIBING = "on subscribe";

export function actionChangeConnectionState (state) {
  return {
    type : ACTION_CHANGE_CONNECTION_STATE,
    connected : state
  }
}

export function actionSubscribe(formValues) {
  return {
    type : ACTION_SUBSCRIBE,
    formValues
  }
}
