import { combineReducers, applyMiddleware } from 'redux'
import { connected } from './connection'
import { dropdown } from './dropdown'
import { content } from './content'
import { selection } from './selection'
import { lang } from './lang'
import { polyglotReducer } from 'redux-polyglot';
import { polyglotMiddleware } from './middlewares';
import { reducer as formReducer } from 'redux-form'

const rootReducer = combineReducers({
  connected,
  dropdown,
  lang,
  content,
  selection,
  polyglot: polyglotReducer,
  form : formReducer
});

export default rootReducer;
